# (HTML) Image width limit

From [image-width-limit.py](image-width-limit.py), function `limit_image_width`:

> When converting HTML5 to other formats, e.g. PDF, it
> may happen that too wide images get cropped of.
> 
> If there are HTML5 image tags which do only contain
> the 'src' and 'alt' attribute, then this method adds
> a style attribute limiting the image width to each of
> those image tags.

## Global Installation - Arch Linux

To install the script as `de-p1st-image-width-limit` run the following:

```shell
makepkg -fCcsri
```

## Manual Installation

Install the python3 dependencies, e.g. with pip:

* `beautifulsoup4` (`pacman -S python-beautifulsoup4`)
* `html5lib`       (`pacman -S python-html5lib`)

And make the python script executable:

```shell
chmod +x ./image-width-limit.py
```

## Example

Global installation:

```shell
de-p1st-image-width-limit example.html modified-example.html
```

Local installation:

```shell
python3 ./image-width-limit.py example.html modified-example.html
```
